<?php
/*
Plugin Name: Buy For Me Pro
Requires Plugins: woocommerce
Plugin URI: https://woocommerce.com/products/addify-button
Description: on button click open a dailog box through which we send an email
Version: 1.0.0
Author: Addify
Developed By:Addify
Author URI: https://woocommerce.com/vendor/Addify/
Support: https://woocommerce.com/vendor/Addify/
Domain Path: /languages
Text Domain: addify-Buy-for-me-pro
License: GNU General Public License v3.0
License URI: http://www.gnu.org/licenses/gpl-3.0.html
WC requires at least: 3.0.9
WC tested up to: 9.*.*


@package addify-Buy-for-me-pro
*/


if (!defined('ABSPATH')) {
	exit;
}

if (!class_exists('Buyforme ')) {
	class Buyforme {
	

		public function __construct() {
			$this->define_global_var();
			register_activation_hook(__FILE__, array( $this, 'adf_bfm_activationBuyForMe' ));
			if (is_admin()) {
				include_once ADF_BFM_DIR . 'include/admin/adf_bfm_buy_for_me.php';
				include_once ADF_BFM_DIR . 'include/admin/adf_bfm_adminajx.php';
			} else {
				include_once ADF_BFM_DIR . 'include/frontend/adf_bfm_front_buy_for_me.php';
			}
			include_once ADF_BFM_DIR . 'include/frontend/adf_bfm_fetchingrecords.php';
			
			add_action('before_woocommerce_init', array( $this, 'adf_bfm_wsp_HOPS_Compatibility' ));
			add_action('plugin_loaded', array( $this, 'adf_bfm_plugin_loaded' ));
			add_action('init', array( $this, 'adf_bfm_reg_cpt_requester_log' ));
			add_action('init', array( $this, 'adf_bfm_reg_cpt_purchased_log' ));
			// hide cpt
			add_action('admin_menu', array( $this, 'adf_bfm_remove_cpt' ));
		}

		public function define_global_var() {
			if (!defined('ADF_BFM_URL')) {
				define('ADF_BFM_URL', plugin_dir_url(__FILE__));
			}

			if (!defined('ADF_BFM_BAS')) {
				define('ADF_BFM_BAS', plugin_basename(__FILE__));
			}

			if (!defined('ADF_BFM_DIR')) {
				define('ADF_BFM_DIR', plugin_dir_path(__FILE__));
			}
			if (!defined('ADF_BFM_VERSION')) {
				define('ADF_BFM_VERSION', '1.0.0');
			}
			if (!defined('ADF_BFM_FONTAWVER')) {
				define('ADF_BFM_FONTAWVER', '1.0.0');
			}
		}
		//activation
		public function adf_bfm_activationBuyForMe() {
			// popup backgroundcolor
			if (!get_option('adf_bfm_popup_background_color')) {
				add_option('adf_bfm_popup_background_color', '#d6e3eb');}
			// popup backgroundimage
			if (!get_option('adf_bfm_show_popup_background_image_option')) {
				add_option('adf_bfm_show_popup_background_image_option', 'no');}
			if (!get_option('adf_bfm_add_multiple_product')) {
				add_option('adf_bfm_add_multiple_product', 'no');}
			// popup text customization
			if (!get_option('adf_bfm_popup_text_color')) {
				add_option('adf_bfm_popup_text_color', 'black');}
			if (!get_option('adf_bfm_popup_text_font-size')) {
				add_option('adf_bfm_popup_text_font-size', '20');}
			if (!get_option('adf_bfm_popup_text_font-size_unit')) {
				add_option('adf_bfm_popup_text_font-size_unit', 'px');}     
			// header customization
			// header customization text
			if (!get_option('adf_bfm_header_text')) {
				add_option('adf_bfm_header_text', 'Buy For Me');}
			if (!get_option('adf_bfm_header_text_color')) {
					add_option('adf_bfm_header_text_color', 'black');}
			if (!get_option('adf_bfm_header_bg_color')) {
				add_option('adf_bfm_header_bg_color', '#d6e3eb');}
			if (!get_option('adf_bfm_header_text_font-size')) {
				add_option('adf_bfm_header_text_font-size', '18');}
			if (!get_option('adf_bfm_header_text_font-size_unit')) {
				add_option('adf_bfm_header_text_font-size_unit', 'px');}
			// header customization close icon
			if (!get_option('adf_bfm_header_close_icon_color')) {
				add_option('adf_bfm_header_close_icon_color', 'black');}    
			if (!get_option('adf_bfm_header_close_icon_font-size')) {
				add_option('adf_bfm_header_close_icon_font-size', '14');}   
			if (!get_option('adf_bfm_header_close_icon_font-size_unit')) {
				add_option('adf_bfm_header_close_icon_font-size_unit', 'px');}  
			// custombutton
			if (!get_option('adf_bfm_custom_button_text')) {
				add_option('adf_bfm_custom_button_text', 'Buy For Me');
			}
			if (!get_option('adf_bfm_custom_button_background-color')) {
				add_option('adf_bfm_custom_button_background-color', 'Black');
			}
			if (!get_option('adf_bfm_custom_button_text-color')) {
				add_option('adf_bfm_custom_button_text-color', 'White');
			}
			if (!get_option('adf_bfm_custom_button_font-size')) {
				add_option('adf_bfm_custom_button_font-size', '14');
			}
			if (!get_option('adf_bfm_custom_button_font-size_unit')) {
				add_option('adf_bfm_custom_button_font-size_unit', 'px');
			}
			if (!get_option('adf_bfm_show_on_listing_page')) {
				add_option('adf_bfm_show_on_listing_page', 'yes');
			}
			//order now button
			
			if (!get_option('adf_bfm_email_preview_template_select')) {
				add_option('adf_bfm_email_preview_template_select', 'default');
			}
			// move section button
			if (!get_option('adf_bfm_move_section_button_background-color')) {
				add_option('adf_bfm_move_section_button_background-color', '#2cbedd');
			}
			if (!get_option('adf_bfm_move_section_button_text-color')) {
				add_option('adf_bfm_move_section_button_text-color', 'White');
			}
			// tab text color when it is checked
			if (!get_option('adf_bfm_tabs_text_color')) {
				add_option('adf_bfm_tabs_text_color', 'White');}
			if (!get_option('adf_bfm_move_section_button_font-size')) {
				add_option('adf_bfm_move_section_button_font-size', '20');
			}
			if (!get_option('adf_bfm_move_section_button_font-size_unit')) {
				add_option('adf_bfm_move_section_button_font-size_unit', 'px');}    
			// form heading customization
			if (!get_option('adf_bfm_from_heading_color')) {
				add_option('adf_bfm_from_heading_color', 'black');}
			if (!get_option('adf_bfm_form_heading_font-size')) {
				add_option('adf_bfm_form_heading_font-size', '27');}
			if (!get_option('adf_bfm_form_heading_font-size_unit')) {
				add_option('adf_bfm_form_heading_font-size_unit', 'px');}
			// Email Preview heading customization
			if (!get_option('adf_bfm_email_preview_heading_color')) {
				add_option('adf_bfm_email_preview_heading_color', 'black');}
			if (!get_option('adf_bfm_email_preview_heading_font-size')) {
				add_option('adf_bfm_email_preview_heading_font-size', '27');}
			if (!get_option('adf_bfm_email_preview_heading_font-size_unit')) {
				add_option('adf_bfm_email_preview_heading_font-size_unit', 'px');}
			// Adjust width and height of product Image
			if (!get_option('adf_bfm_product_thumbnail_width')) {
				add_option('adf_bfm_product_thumbnail_width', '200');}
			if (!get_option('adf_bfm_product_thumbnail_width_unit')) {
				add_option('adf_bfm_product_thumbnail_width_unit', 'px');}
			if (!get_option('adf_bfm_product_thumbnail_height')) {
					add_option('adf_bfm_product_thumbnail_height', '200');}
			if (!get_option('adf_bfm_product_thumbnail_height_unit')) {
					add_option('adf_bfm_product_thumbnail_height_unit', 'px');}             
			// email background color
			if (!get_option('adf_bfm_title_email_background-color')) {
				add_option('adf_bfm_title_email_background-color', 'Email Background Color');
			}
			if (!get_option('adf_bfm_placeholder_email_background-color')) {
				add_option('adf_bfm_placeholder_email_background-color', 'Select Email Background Color');
			}
			//order now button
			if (!get_option('adf_bfm_title_order_now_button')) {
				add_option('adf_bfm_title_order_now_button', 'Text For Order Now Button');
			}
			if (!get_option('adf_bfm_placeholder_order_now_button')) {
				add_option('adf_bfm_placeholder_order_now_button', 'Enter the text for Order Now Button');
			}
			// Requester Email
			if (!get_option('adf_bfm_title_email_requester_name')) {
				add_option('adf_bfm_title_email_requester_name', 'Requester Name');
			}
			if (!get_option('adf_bfm_placeholder_email_requester_name')) {
				add_option('adf_bfm_placeholder_email_requester_name', 'Enter the Requester Name');
			}
			if (!get_option('adf_bfm_title_requester_email')) {
				add_option('adf_bfm_title_requester_email', 'Requester Email');
			}
			if (!get_option('adf_bfm_placeholder_requester_email')) {
				add_option('adf_bfm_placeholder_requester_email', 'Enter the Requester Email');
			}
			// Requestee Email
			if (!get_option('adf_bfm_title_email_requestee_name')) {
				add_option('adf_bfm_title_email_requestee_name', 'Requestee Name');
			}
			if (!get_option('adf_bfm_placeholder_email_requestee_name')) {
				add_option('adf_bfm_placeholder_email_requestee_name', 'Enter the Requestee Name');
			}
			if (!get_option('adf_bfm_title_requestee_email')) {
				add_option('adf_bfm_title_requestee_email', 'Requestee Email');
			}
			if (!get_option('adf_bfm_placeholder_requestee_email')) {
				add_option('adf_bfm_placeholder_requestee_email', 'Enter the Requestee Email');
			}
			// Email Subject
			if (!get_option('adf_bfm_title_email_subject')) {
				add_option('adf_bfm_title_email_subject', 'Email Subject');
			}
			if (!get_option('adf_bfm_placeholder_email_subject')) {
				add_option('adf_bfm_placeholder_email_subject', 'Enter the Email Subject');
			}
			// Email Message
			if (!get_option('adf_bfm_title_email_message')) {
				add_option('adf_bfm_title_email_message', 'Message');
			}
			if (!get_option('adf_bfm_placeholder_email_message')) {
				add_option('adf_bfm_placeholder_email_message', 'Enter Message');
			}
			// Send Email button
			if (!get_option('adf_bfm_send_email_button_text')) {
				add_option('adf_bfm_send_email_button_text', 'Send Email');
			}
			if (!get_option('adf_bfm_send_email_button_background-color')) {
				add_option('adf_bfm_send_email_button_background-color', '#c3c4c7');
			}
			if (!get_option('adf_bfm_send_email_button_text-color')) {
				add_option('adf_bfm_send_email_button_text-color', 'Black');
			}
			if (!get_option('adf_bfm_send_email_font-size')) {
				add_option('adf_bfm_send_email_font-size', '14');
			}
			if (!get_option('adf_bfm_send_email_button_font-size_unit')) {
				add_option('adf_bfm_send_email_button_font-size_unit', 'px');
			}
			// Preview
			if (!get_option('adf_bfm_show_email_message')) {
				add_option('adf_bfm_show_email_message', 'yes');
			}
			if (!get_option('adf_bfm_adjust_image')) {
				add_option('adf_bfm_adjust_image', 'left');
				if (!get_option('adf_bfm_offer_discount_option')) {
					add_option('adf_bfm_offer_discount_option', 'no');}
	
				
			}
		}
		// 
		public function adf_bfm_wsp_HOPS_Compatibility() {

			if (class_exists(\Automattic\WooCommerce\Utilities\FeaturesUtil::class)) {
				\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility('custom_order_tables', __FILE__, true);
			}
		}
		//
		public function adf_bfm_plugin_loaded() {

			if (function_exists('load_plugin_textdomain')) {
				load_plugin_textdomain('addify-Buy-for-me-pro', false, ADF_BFM_DIR . '/languages');

			}
		}
		public function adf_bfm_reg_cpt_requester_log() {
			$labels = array(
				'name' =>'',
				'singular_name' =>'',
				'add new'=>'',
				'add_new_item' =>'',
				'new_item' => '',
				'view_items' => '',
				'all_items' =>'',
				'edit_item' => '',
				'search_items'=>'',
				'not_found'=>'',
				'not_found_in_trash' =>'',
				'parent item colon' => '',
				'menu name'=>'',
			);
			$args = array(
				'labels'=>$labels,
				'Description' =>'Through this cpt to display requester email details',
				'public'=>true,
				'menu_position' => 10,
				'supports' => array( 'title', 'editor', 'thumbnail', 'author' ),
				'has_archive' => false,

			);
			register_post_type('Requester_log', $args);
		}
		public function adf_bfm_reg_cpt_purchased_log() {
			$labels = array(
				'name' => '',
				'singular_name' =>'',
				'add new' => '',
				'add_new_item' => '',
				'search_items' => '',
				'view_items' =>'',
				'edit_item' =>'',
				'new_item' => '',
				'all_items' => '',
				'not_found' =>'',
				'not_found_in_trash' => '',
				'parent item colon' =>'',
				'menu name'=>'',
			);
			$args = array(
				'labels' => $labels,
				'Description' => 'Through this cpt display the purchased log',
				'public' => true,
				'menu_position' => 20,
				'has_archieve' => false,
			);
			register_post_type('Purchased_log', $args);
		}
		public function adf_bfm_remove_cpt() {
			remove_menu_page('edit.php?post_type=requester_log');
			remove_menu_page('edit.php?post_type=purchased_log');
		}
	}

	//

	new Buyforme ();
}
