<?php
if (!defined('ABSPATH')) {
	exit;
}
class AdminAddifyBuyforme {









	public function __construct() {
		add_action('admin_head', array( $this, 'adf_bfm_styling' ));
		// css
		add_action('admin_enqueue_scripts', array( $this, 'adf_bfm_admin_css' ));
		// custom tab
		add_filter('woocommerce_settings_tabs_array', array( $this, 'adf_bfm_add_custom_tab' ), 21);
		//subtab
		add_action('woocommerce_sections_adf_buy_for_me', array( $this, 'adf_bfm_sub_tabs' ));
		add_action('woocommerce_settings_adf_buy_for_me', array( $this, 'adf_bfm_display_setting' ));
		add_action('woocommerce_settings_save_adf_buy_for_me', array( $this, 'adf_bfm_save_setting' ));
	}
	public function adf_bfm_styling() {
		global $pagenow, $current_section;
		$current_page = filter_input(INPUT_GET, 'page', FILTER_SANITIZE_FULL_SPECIAL_CHARS);
		$current_tab = filter_input(INPUT_GET, 'tab', FILTER_SANITIZE_FULL_SPECIAL_CHARS);
		if (
			'admin.php' === $pagenow &&
			'wc-settings' === $current_page &&
			'adf_buy_for_me' === $current_tab &&
			( empty($current_section) )
		) {
			$adf_bfm_template = get_option('adf_bfm_email_preview_template_select');
			?>
			<style>
				.adf_bfm_button_price_container {

					width:
					<?php if ('adf_bfm_template_2' == $adf_bfm_template) { ?>
						100%
						<?php
					} else {
						?>
						90%
					<?php } ?>
					;
				}

				.adf_bfm_dafult_template_button {
					display: flex;
					justify-content: center;
				}

				<?php if ('adf_bfm_template_2' != $adf_bfm_template && 'adf_bfm_template_1' != $adf_bfm_template) { ?>
					.adf_bfm_order_now_button_text {
						width: 150px;
						height: 40px;
					}

				<?php } ?>
				.adf_bfm_price {
					width:
					<?php if ('adf_bfm_template_2' == $adf_bfm_template || 'default' == $adf_bfm_template) { ?>
						100%
						<?php
					} else {
						?>
						50%
					<?php } ?>
					;
					<?php if ('adf_bfm_template_2' == $adf_bfm_template || 'default' == $adf_bfm_template) { ?>
						text-align: center;
					<?php } ?>
					font-size: 1.3rem;
				}

				.adf_bfm_order_now_button_text {
					width:
					<?php if ('adf_bfm_template_2' == $adf_bfm_template) { ?>
						100%
						<?php
					} else {
						?>
						50%
					<?php } ?>
					;
					<?php if ('adf_bfm_template_2' == $adf_bfm_template) { ?>
						height: 40px;
					<?php } ?>
				}

				<?php if ('adf_bfm_template_2' == $adf_bfm_template) { ?>
					.adf_bfm_product_title {
						margin: 0 !important;
					}

				<?php } ?>
			</style>
			<?php
		}
		if (
			'admin.php' === $pagenow &&
			'wc-settings' === $current_page &&
			'adf_buy_for_me' === $current_tab &&
			( !empty($current_section) )
		) {
			?>
			<style>
				.woocommerce-save-button {
					display: none;
				}
			</style>
			<?php
		}
	}

	// css
	public function adf_bfm_admin_css() {
		global $pagenow, $current_section;
		$current_page = filter_input(INPUT_GET, 'page', FILTER_SANITIZE_FULL_SPECIAL_CHARS);
		$current_tab = filter_input(INPUT_GET, 'tab', FILTER_SANITIZE_FULL_SPECIAL_CHARS);
		if (
			'admin.php' === $pagenow &&
			'wc-settings' === $current_page &&
			'adf_buy_for_me' === $current_tab &&
			( empty($current_section) || !empty($current_section) )
		) {


			wp_enqueue_style(
				'select2-css',
				ADF_BFM_URL . 'assests/css/select2.min.css',
				array(),
				ADF_BFM_VERSION
			);

			// Enqueue Select2 JS
			wp_enqueue_script('select2-js', ADF_BFM_URL . 'assests/javascript/select2.min.js', array( 'jquery' ), ADF_BFM_VERSION, true);

			// Custom script to initialize Select2
			wp_enqueue_script('custom-select2-init', get_template_directory_uri() . '/js/custom-select2.js', array( 'jquery', 'select2-js' ), ADF_BFM_VERSION, true);

			wp_enqueue_style(
				'admin_styling',
				ADF_BFM_URL . 'assests/css/adminstyling.css',
				array(),
				ADF_BFM_VERSION
			);
			wp_enqueue_media();
			wp_enqueue_style(
				'fontawsome',
				ADF_BFM_URL . 'assests/fontawsome/css/all.css',
				array(),
				ADF_BFM_VERSION

			);
			wp_enqueue_script(
				'adminjavascript',
				ADF_BFM_URL . 'assests/javascript/adminjavascript.js',
				array( 'jquery' ),
				ADF_BFM_VERSION,
				true
			);
			$adf_bfm_popup_background_image = get_option('adf_bfm_popup_background_image');
			ob_start();
			?>
			<div class="adf_bfm_popup_background_image_container">
				<div class="adf_bfm_popup_image_bg">
					<?php
					// Assuming $adf_bfm_popup_background_image is the attachment ID.
					$image_id = attachment_url_to_postid($adf_bfm_popup_background_image); // This should be the attachment ID.
		
					echo wp_get_attachment_image($image_id, 'medium', false, array(
						'alt' => '',
						'id' => 'adf_bfm_popup_image',
						'class' => 'adf_bfm_popup_image',
					));
					?>
				</div>
				<div>
					<input type="hidden" name="adf_bfm_popup_background_image" id="adf_bfm_popup_upload_image"
						value="<?php echo esc_url($adf_bfm_popup_background_image); ?>">
					<input type="button" name="adf_bfm_btn_upload_image" class="button-primary" id="adf_bfm_btn_upload_image"
						value="<?php echo esc_html('Upload', 'addify-Buy-for-me-pro'); ?>">
					<input type="button" name="adf_bfm_btn_remove_image" class="button-primary" id="adf_bfm_btn_remove_image"
						value="<?php echo esc_html('Remove', 'addify-Buy-for-me-pro'); ?>">
				</div>
			</div>

			<?php
			$adf_bfm_pop_up_image_return = ob_get_clean();

			ob_start();
			?>
			<div class="adf_bfm_emailpreview">
				<input type="hidden" class="adf_bfm_append_img">
				<?php
				/*echo wp_get_attachment_image($image_id, 'medium', false, array(
														'alt' => 'Product Image',
														'class' => 'adf_bfm_product_image',
													));*/
				;

				?>

				<h4 class="adf_bfm_product_title"><strong>Hoodie</strong>
				</h4>
				<p class="adf_bfm_variation">
					<strong class="adf_bfm_show_variation">Color: blue&nbsp;&nbsp;Logo: No&nbsp;&nbsp;Length: Small<br></strong>
				</p>
				<div class="adf_bfm_emailmessage" id="">
					<p class="adf_bfm_emailpreview_message">
						Dear, please go ahead and purchase it for me. I’d truly appreciate it!
					</p>
				</div>
				<div class="adf_bfm_button_price_container">
					<p class="adf_bfm_price">
						<strong class="adf_bfm_actual_price"><span class="woocommerce-Price-amount amount" style="
	text-decoration: line-through;
"><span class="woocommerce-Price-currencySymbol">₨</span>&nbsp;34</span></strong>
						<strong><span class="woocommerce-Price-amount amount"><span
									class="woocommerce-Price-currencySymbol">₨</span>&nbsp;5</span></strong>
					</p>
					<button class=" adf_bfm_order_now_button_text" value="">
						Order Now
					</button>
				</div>



			</div>
			<?php
			$adf_bfm_email_preview_template_1 = ob_get_clean();
			// temaplate 2
			ob_start();

			?>
			<div class="adf_bfm_emailpreview">
				<p class="adf_bfm_price"><strong class="adf_bfm_actual_price"><span class="woocommerce-Price-amount amount"><span
								class="woocommerce-Price-currencySymbol">₨</span>&nbsp;34</span></strong>
					<strong class="adf_bfm_actual_price"></strong><strong><span class="woocommerce-Price-amount amount"><span
								class="woocommerce-Price-currencySymbol">₨</span>&nbsp;5</span>(
						<strong style="
	color: red;
"><span class="woocommerce-Price-amount amount"><span
									class="woocommerce-Price-currencySymbol">₨</span>&nbsp;5</span></strong> <strong style="
	color: red;
">OFF</strong>)
					</strong>
				</p>
				<h4 class="adf_bfm_product_title"><strong style="
">Hoodie</strong>
				</h4>
				<input type="hidden" class="adf_bfm_append_img">

				<div class="adf_bfm_button_price_container">
					<button class="adf_bfm_emailmessage adf_bfm_order_now_button_text" value="">
						Order Now
					</button>
				</div>
				<p class="adf_bfm_variation">
					<strong class="adf_bfm_show_variation">Color: blue&nbsp;&nbsp;Logo: No&nbsp;&nbsp;Length: Small<br></strong>
				</p>
				<div class="adf_bfm_emailmessage" id="">
					<p class="adf_bfm_emailpreview_message">
						Dear, please go ahead and purchase it for me. I’d truly appreciate it!
					</p>
				</div>
			</div>
			<?php
			$adf_bfm_preview_template_2 = ob_get_clean();
			ob_start();
			?>
			<div class="adf_bfm_emailpreview">
				<h4 class="adf_bfm_product_title"><strong style="">Hoodie</strong>
					<input type="hidden" class="adf_bfm_append_img">

					<p class="adf_bfm_variation">
						<strong class="adf_bfm_show_variation">Color: blue<br>Logo: No<br>Length: Small</strong>
					</p>
					<p class="adf_bfm_price">
						<strong class="adf_bfm_actual_price"><span class="woocommerce-Price-amount amount" style="
	text-decoration: line-through;
"><span class="woocommerce-Price-currencySymbol">₨</span>&nbsp;34</span></strong>
						<strong><span class="woocommerce-Price-amount amount"><span
									class="woocommerce-Price-currencySymbol">₨</span>&nbsp;5</span></strong>
					</p>
					<div class="adf_bfm_dafult_template_button">
						<button class="adf_bfm_emailmessage adf_bfm_order_now_button_text" value="">
							Order Now
						</button>
					</div>
					<div class="adf_bfm_emailmessage" id="">
						<p class="adf_bfm_emailpreview_message">
							Dear, please go ahead and purchase it for me. I’d truly appreciate it!
						</p>
					</div>

			</div>
			<?php
			$adf_bfm_preview_default_template = ob_get_clean();
			$adf_bfm_template = get_option('adf_bfm_email_preview_template_select');
			$adf_bfm_data = array(
				'adf_bfm_pop_up_image' => $adf_bfm_pop_up_image_return,
				'ad_bfm_pop_up_image_value' => $adf_bfm_popup_background_image ? 'yes' : 'no',
				'adf_bfm_email_preview_template_1' => $adf_bfm_email_preview_template_1,
				'adf_bfm_preview_template_2' => $adf_bfm_preview_template_2,
				'adf_bfm_preview_default_template' => $adf_bfm_preview_default_template,
				'adf_bfm_template' => $adf_bfm_template,
				'adf_bfm_append_img' => ADF_BFM_URL . 'assests/images/hoodie-2.jpg',
				'admin_nonce' => 'adf_bfm_log_nonce',
				'nonce' => wp_create_nonce('remove_post'),
				'ajaxurl' => admin_url('admin-ajax.php'),
			);
			wp_localize_script(
				'adminjavascript',
				'adf_bfm_data',
				$adf_bfm_data
			);
		}
	}

	//color-picker

	//js

	// Add the custom tab in WooCommerce settings
	public function adf_bfm_add_custom_tab( $tabs ) {
		$tabs['adf_buy_for_me'] = 'Buy For Me';
		return $tabs;
	}

	// Add sub tab in a Buy for Me tab
	public function adf_bfm_sub_tabs() {
		global $current_section;
		$sections = array(
			'' => 'General',
			'requester_log' => 'Requester log',
			'purchased_log' => 'Purchased log',
		);
		?>
		<ul class="subsubsub">
			<?php
			foreach ($sections as $id => $label) {
				$url = add_query_arg(
					array(
						'page' => 'wc-settings',
						'tab' => 'adf_buy_for_me',
						'section' => $id,
					),
					admin_url('admin.php')
				);

				$current = $id == $current_section ? 'class=adf_bfm_current' : '';
				$array_keys = array_keys($sections);
				$separator = end($array_keys) === $id ? '' : '|';
				?>
				<li><a href="<?php echo esc_html($url, 'addify-Buy-for-me-pro'); ?>" <?php echo esc_html($current, 'addify-Buy-for-me-pro'); ?>><?php echo esc_html($label); ?></a>
					<?php echo esc_html($separator, 'addify-Buy-for-me-pro'); ?></li>

			<?php } ?>
		</ul><br class="clear">
		<?php
	}
	private function settings() {
		global $current_section;
		global $wp_roles;
		$adf_bfm_user_roles = $wp_roles->roles;
		$adf_bfm_user_roles['guest'] = array( 'name' => 'Guest' );
		;

		$adf_bfm_options = array();
		foreach ($adf_bfm_user_roles as $adf_bfm_key => $adf_bfm_role) {
			$adf_bfm_options[ $adf_bfm_key ] = $adf_bfm_role['name']; // Role key as value, role name as label
		}
		// get products
		$adf_bfm_product_args = array(

			'limit' => -1,
			'orderby' => 'date',
			'order' => 'DESC',

		);
		$adf_bfm_query = new WC_Product_Query($adf_bfm_product_args);
		$adf_bfm_products = $adf_bfm_query->get_products();
		$adf_bfm_product_name = array();
		foreach ($adf_bfm_products as $adf_bfm_product_value) {
			$adf_bfm_product_name[ $adf_bfm_product_value->get_id() ] = $adf_bfm_product_value->get_title();
		}
		// get category
		$adf_bfm_category_options = array();
		$adf_bfm__category_id = get_queried_object_id();
		$adf_bfm_category_args = array(
			'taxonomy' => 'product_cat',  // Specify the taxonomy here
			'parent' => $adf_bfm__category_id,
			'hide_empty' => true,
			'limit' => -1, // 'limit' is now 'number'
		);
		$adf_bfm_category_terms = get_terms($adf_bfm_category_args);
		foreach ($adf_bfm_category_terms as $adf_bfm_category_term) {
			$adf_bfm_subcategory_ids = get_term_children($adf_bfm_category_term->term_id, 'product_cat');
			$adf_bfm_category_options[ $adf_bfm_category_term->name ] = $adf_bfm_category_term->name;
			if ($adf_bfm_subcategory_ids) {
				foreach ($adf_bfm_subcategory_ids as $adf_bfm_subcategory_id) {
					$adf_bfm_sub_category_term = get_term($adf_bfm_subcategory_id, 'product_cat');
					$adf_bfm_category_options[ $adf_bfm_sub_category_term->name ] = $adf_bfm_sub_category_term->name;
				}
			}
		}
		if ('' == $current_section) {
			$settings = array(
				array(
					'name' => esc_html('Buy For Me', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'type' => 'sectionend',
				),
				array(
					'name' => esc_html('Buy For Me/Custom Customization', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_custom_button_text',
					'name' => esc_html("'Buy For Me' Button Text", 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the text for Buy_For_Me/Custom Button', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),

				array(
					'id' => 'adf_bfm_custom_button_background-color',
					'name' => esc_html('Buy for Me Button Background Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Choose a background-color Buy_For_Me/Custom Button', 'addify-Buy-for-me-pro'),
					'type' => 'color',

				),
				array(
					'id' => 'adf_bfm_custom_button_text-color',
					'name' => esc_html('Buy for Me Button Text Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Choose a text-color for Buy_For_Me/Custom Button', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_custom_button_font-size',
					'name' => esc_html('Buy for Me Button Font Size', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the font-size size of Buy_For_Me/Custom Button', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',
				),
				array(
					'id' => 'adf_bfm_custom_button_font-size_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'id' => 'adf_bfm_show_on_listing_page',
					'name' => esc_html('Buy for Me Button Show on Listing Page', 'addify-Buy-for-me-pro'),
					'type' => 'checkbox',
				),
				array(
					'id' => 'adf_bfm_add_multiple_product',
					'name' => esc_html('Add Multiple product', 'addify-Buy-for-me-pro'),
					'type' => 'checkbox',
				),
				array(
					'type' => 'sectionend',
				),

				array(
					'name' => esc_html('Pop-Up Background Customization', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_popup_background_color',
					'name' => esc_html('Pop-up Background Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the Color for Pop-up background', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_show_popup_background_image_option',
					'name' => esc_html('Pop-up Background Image', 'addify-Buy-for-me-pro'),
					'type' => 'checkbox',
				),
				array(
					'id' => 'adf_bfm_popup_background_image',
					'desc_tip' => false,
					'type' => 'text',
					'class' => 'adf_bfm_pop-up_background-image',
				),
				array(
					'type' => 'sectionend',
				),
				array(
					'name' => esc_html('Pop-Up Header Customization', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_header_bg_color',
					'name' => esc_html('Pop-up Header Background Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the background Color for Pop-up header', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_header_text',
					'name' => esc_html('Pop-up Header Text', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the text for Pop-up header', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_header_text_color',
					'name' => esc_html('Pop-up Header Text Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the text Color for Pop-up header', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_header_text_font-size',
					'name' => esc_html('Pop-up Header text Font-size', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the font-size size of pop-up header text', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',

				),
				array(
					'id' => 'adf_bfm_header_text_font-size_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'id' => 'adf_bfm_header_close_icon_color',
					'name' => esc_html('Pop-up Header Close Icon Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the  Color for Pop-up header close icon', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_header_close_icon_font-size',
					'name' => esc_html('Pop-up Header Close Icon Font-size', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the font-size size of pop-up header close icon', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',

				),
				array(
					'id' => 'adf_bfm_header_close_icon_font-size_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'id' => 'adf_bfm_tabs_text_color',
					'name' => esc_html('Tabs text Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the  Color for tab text when the multiple product is checked', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_email_preview_template_select',
					'name' => esc_html('Set a template For Email Preview', 'addify-Buy-for-me-pro'),
					'type' => 'select',
					'options' => array(
						'default' => 'default',
						'adf_bfm_template_1' => 'template 1',
						'adf_bfm_template_2' => 'template 2',
					),
					'default' => 'default',
				),
				array(
					'id' => 'adf_bfm_email_preview_template',
					'name' => esc_html('Email Preview Template', 'addify-Buy-for-me-pro'),
					'desc_tip' => false,
					'type' => 'text',
					'class' => 'adf_bfm_email_preview_template',
				),
				array(
					'type' => 'sectionend',
				),
				array(
					'name' => esc_html('Email Preview  Customization', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_email_preview_heading_color',
					'name' => esc_html('Email Preview Heading Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the Email Preview heading Color', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_email_preview_heading_font-size',
					'name' => esc_html('Email Preview Heading Font-size', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the font-size size of Email Preview heading', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',

				),
				array(
					'id' => 'adf_bfm_email_preview_heading_font-size_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'id' => 'adf_bfm_product_thumbnail_width',
					'name' => esc_html('Product Image width', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the width of Product Image width', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',

				),
				array(
					'id' => 'adf_bfm_product_thumbnail_width_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'id' => 'adf_bfm_product_thumbnail_height',
					'name' => esc_html('Product Image height', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the height of Product image', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',

				),
				array(
					'id' => 'adf_bfm_product_thumbnail_height_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'type' => 'sectionend',
				),
				array(
					'name' => esc_html('Email Form Heading Customization', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_from_heading_color',
					'name' => esc_html('Form Heading Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the form heading Color', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_form_heading_font-size',
					'name' => esc_html('Form Heading Font-size', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the font-size size of form heading', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',

				),
				array(
					'id' => 'adf_bfm_form_heading_font-size_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'type' => 'sectionend',
				),
				array(
					'name' => esc_html('Pop-Up Text Customization', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_popup_text_color',
					'name' => esc_html('Pop-up  Text Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the text Color for Pop-up text', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_popup_text_font-size',
					'name' => esc_html('Pop-up text Font-size', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the font-size size of pop-up  text', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',

				),
				array(
					'id' => 'adf_bfm_popup_text_font-size_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'id' => 'adf_bfm_title_email_background-color',
					'name' => esc_html('Title for Email Background Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Title for Email Background-color', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_placeholder_email_background-color',
					'name' => esc_html('Placeholder for Email Background Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Placeholder for Email Background-color', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_title_order_now_button',
					'name' => esc_html('Title for Order Now Button', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Title for Order Now Button', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_placeholder_order_now_button',
					'name' => esc_html('Placeholder for Order Now Button', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Placeholder for Order Now Button', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_title_email_requester_name',
					'name' => esc_html('Title for Email Requester Name ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Title for Email Requester Name ', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_placeholder_email_requester_name',
					'name' => esc_html('Placeholder Email Requester Name', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Placeholder Email Requester Name', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_title_requester_email',
					'name' => esc_html('Title for Requester Email ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Title for Requester Email ', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_placeholder_requester_email',
					'name' => esc_html('Placeholder for Requester Email', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Placeholder for Requester Email', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_title_email_requestee_name',
					'name' => esc_html('Title for Email Requestee Name ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Title for Email Requestee Name ', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_placeholder_email_requestee_name',
					'name' => esc_html('Placeholder Email Requestee Name', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Placeholder Email Requestee Name', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_title_requestee_email',
					'name' => esc_html('Title for Requestee Email ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Title for Requestee Email ', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_placeholder_requestee_email',
					'name' => esc_html('Placeholder for Requestee Email ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Placeholder for Requestee Email ', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_title_email_message',
					'name' => esc_html('Title for Email Message', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Title for Email Message', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_placeholder_email_message',
					'name' => esc_html('Placeholder for Email Message', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Placeholder for Email Message', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_title_email_subject',
					'name' => esc_html('Title for Email Subject', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Title for Email Subject', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_placeholder_email_subject',
					'name' => esc_html('Placeholder for Email Subject', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Placeholder for Email Subject', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),
				array(
					'id' => 'adf_bfm_send_email_button_text',
					'name' => esc_html('Send Email Button Text', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Set the text for send email button', 'addify-Buy-for-me-pro'),
					'type' => 'text',
				),

				array(
					'id' => 'adf_bfm_send_email_button_background-color',
					'name' => esc_html('Send Email Button Background Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Choose a background color for send email button', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_send_email_button_text-color',
					'name' => esc_html('Send Email Button Text Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Choose a text color for send email button ', 'addify-Buy-for-me-pro'),
					'type' => 'color',

				),
				array(
					'id' => 'adf_bfm_send_email_font-size',
					'name' => esc_html('Send Email Button Font Size', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the font-size of Send Email Button', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',
				),
				array(
					'id' => 'adf_bfm_send_email_button_font-size_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'id' => 'adf_bfm_show_email_message',
					'name' => esc_html('Show Email Message', 'addify-Buy-for-me-pro'),
					'type' => 'checkbox',
				),
				array(
					'id' => 'adf_bfm_adjust_image',
					'name' => esc_html('Adjust Image Left/Right for Preview ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Select a side where you preview a image  left/right', 'addify-Buy-for-me-pro'),
					'type' => 'select',
					'options' => array(
						'left' => 'left',
						'right' => 'right',
					),
					'default' => 'left',
				),
				array(
					'id' => 'adf_bfm_move_section_button_background-color',
					'name' => esc_html('Move Section Button Background Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Choose a background-color Move Section Button', 'addify-Buy-for-me-pro'),
					'type' => 'color',

				),
				array(
					'id' => 'adf_bfm_move_section_button_text-color',
					'name' => esc_html('Move Section Button Text Color', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Choose a text-color for Move Section Button', 'addify-Buy-for-me-pro'),
					'type' => 'color',
				),
				array(
					'id' => 'adf_bfm_move_section_button_font-size',
					'name' => esc_html('Move Section Button Font Size', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Adjust the font-size size of Move Section Button', 'addify-Buy-for-me-pro'),
					'type' => 'number',
					'class' => 'adf_bfm_font-size-field',

				),
				array(
					'id' => 'adf_bfm_move_section_button_font-size_unit',
					'type' => 'select',
					'options' => array(
						'px' => 'px',
						'%' => '%',
						'rem' => 'rem',
						'em' => 'em',
						'vw' => 'vw',
					),
					'default' => 'px',
					'class' => 'adf_bfm_field_setting',

				),
				array(
					'type' => 'sectionend',
				),
				array(
					'name' => esc_html('Restrict By User Roles', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_user_roles',
					'name' => esc_html('Select a User Role', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Select a user role on which you apply restrictions.When field is null at that time show to all users', 'addify-Buy-for-me-pro'),
					'type' => 'multiselect',
					'options' => $adf_bfm_options,


				),
				array(
					'type' => 'sectionend',
				),
				array(
					'name' => esc_html('Exclude the Product', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_exclude_product',
					'name' => esc_html('Select a Product ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Select a product on which you apply restrictions.When field is null at that time show to all users', 'addify-Buy-for-me-pro'),
					'type' => 'multiselect',
					'options' => $adf_bfm_product_name,


				),
				array(
					'type' => 'sectionend',
				),
				array(
					'name' => esc_html('Exclude the Product by Category', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_exclude_category',
					'name' => esc_html('Select a Category ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Select a category on which you apply restrictions.When field is null at that time show to all users', 'addify-Buy-for-me-pro'),
					'type' => 'multiselect',
					'options' => $adf_bfm_category_options,


				),
				array(
					'type' => 'sectionend',
				),
				array(
					'name' => esc_html('Offer Discounts', 'addify-Buy-for-me-pro'),
					'type' => 'title',
				),
				array(
					'id' => 'adf_bfm_offer_discount_option',
					'name' => esc_html('Offer Discount on  Buy for Me Request', 'addify-Buy-for-me-pro'),
					'type' => 'checkbox',
				),
				array(
					'id' => 'adf_bfm_disount_on_price',
					'name' => esc_html('Price Type ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Select a price type on which you give discount type', 'addify-Buy-for-me-pro'),
					'type' => 'select',
					'options' => array(
						'regular' => 'Regular Price',
						'sale' => 'Sale Price',
					),
					'default' => 'regular',

				),
				array(
					'id' => 'adf_bfm_discount_types',
					'name' => esc_html('Discount Types ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Select a discount type', 'addify-Buy-for-me-pro'),
					'type' => 'select',
					'options' => array(
						'percentage' => 'percentage',
						'fixed' => 'fixed',
					),
					'default' => 'percentage',

				),
				array(
					'id' => 'adf_bfm_discount_value',
					'name' => esc_html('Discount value ', 'addify-Buy-for-me-pro'),
					'desc_tip' => esc_html('Enter a value you want to give discount', 'addify-Buy-for-me-pro'),
					'type' => 'number',
				),
				array(
					'type' => 'sectionend',
				),
			);
			return $settings;
		} elseif ('requester_log' == $current_section) {
			$settings = array();
			?>
			<h1>Requester log</h1>
			<form method="POST">
				<input type="hidden" value="<?php echo esc_attr(wp_create_nonce('adf_bfm_nonce')); ?>" id="adf_bfm_nonce"
					name="adf_bfm_nonce">
			</form>

			<?php

			if (isset($_POST['adf_bfm_nonce']) && !empty($_POST['adf_bfm_nonce'])) {
				$nonce = sanitize_text_field(wp_unslash($_POST['adf_bfm_nonce']));


				if (!( wp_verify_nonce($nonce, 'adf_bfm_nonce') )) {

					return;
				}
			}
			$paged = isset($_GET['requester_log_paged']) ? absint($_GET['requester_log_paged']) : 1;
			$args = array(
				'post_type' => 'requester_log',
				'posts_per_page' => 20,
				'paged' => $paged,
			);
			$adf_bfm_post_requester_log = new WP_Query($args);
			?>
			<div class="adf_bfm_requester_log_main_container">
				<table class="adf_bfm_requester_log_table">
					<thead class="adf_bfm_requester_log_heading_container">
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('Requester Name', 'addify-Buy-for-me-pro'); ?>
						</th>
						<th class="adf_bfm_requester_log_heading">
							<?php echo esc_html('Requester Email', 'addify-Buy-for-me-pro'); ?>
						</th>
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('Requestee Name', 'addify-Buy-for-me-pro'); ?>
						</th>
						<th class="adf_bfm_requester_log_heading">
							<?php echo esc_html('Requestee Email', 'addify-Buy-for-me-pro'); ?>
						</th>
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('Product Name', 'addify-Buy-for-me-pro'); ?>
						</th>
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('Action', 'addify-Buy-for-me-pro'); ?></th>
					</thead>
					<tbody class="adf_bfm_requester_log_container">
						<?php
						while ($adf_bfm_post_requester_log->have_posts()) {
							$adf_bfm_post_requester_log->the_post();
							$adf_bfm_requester_log_post_id = get_the_ID();
							$adf_bfm_requester_log_post = get_post_meta($adf_bfm_requester_log_post_id, 'adf_bfm_requester_log', true);
							?>
							<tr>

								<td class="adf_bfm_requester_log_post_column">
									<?php echo esc_html($adf_bfm_requester_log_post['requester_name'], 'addify-Buy-for-me-pro'); ?>
								</td>
								<td class="adf_bfm_requester_log_post_column">
									<?php echo esc_html($adf_bfm_requester_log_post['requester_email'], 'addify-Buy-for-me-pro'); ?>
								</td>
								<td class="adf_bfm_requester_log_post_column">
									<?php echo esc_html($adf_bfm_requester_log_post['requestee_name'], 'addify-Buy-for-me-pro'); ?>
								</td>
								<td class="adf_bfm_requester_log_post_column">
									<?php echo esc_html($adf_bfm_requester_log_post['requestee_email'], 'addify-Buy-for-me-pro'); ?>
								</td>
								<td class="adf_bfm_requester_log_post_column">
									<?php
									foreach ($adf_bfm_requester_log_post['product_id'] as $key => $value) {
										$adf_bfm_requester_log_post['product_id'][ $key ] = $value;
										$adf_bfm_product_id = $adf_bfm_requester_log_post['product_id'][ $key ];
										$adf_bfm_product = wc_get_product($adf_bfm_product_id);
										if ($adf_bfm_product->is_type('variation')) {
											$adf_bfm_product_id = wp_get_post_parent_id($adf_bfm_product_id);

										}
										$adf_bfm_product_title = $adf_bfm_product->get_title();
										$adf_bfm_product_edit = get_edit_post_link($adf_bfm_product_id);
										?>
										<ul>
											<li>
												<a href="<?php echo esc_url($adf_bfm_product_edit); ?>">
													<?php echo esc_html($adf_bfm_product_title, 'addify-Buy-for-me-pro'); ?></a>
											</li>
										</ul>
									<?php } ?>
								</td>
								<td class="adf_bfm_requester_log_post_column"> 
									<i class="fa-solid fa-trash-can adf_bfm_requester_log_delete" adf_bfm_post_id="<?php echo esc_attr($adf_bfm_requester_log_post_id, 'addify-Buy-for-me-pro'); ?>"></i>
									<!-- <i class="fa-solid fa-spinner adf_bfm_rotating-icon"></i> -->
							</td>
							</tr>
							<?php
						}
						?>
					</tbody>
				</table>

			</div>
			
				<div class="adf_bfm_pagination">
					<?php
					$adf_bfm_pagination = paginate_links(array(
						'total' => $adf_bfm_post_requester_log->max_num_pages, // Total pages
						'current' => $paged, // Current page
						'format' => '?requester_log_paged=%#%', // Pagination format
						'prev_text' => "<span class='dashicons dashicons-arrow-left'></span>",
						'next_text' => "<span class='dashicons dashicons-arrow-right'></span>",
					));
					echo wp_kses_post($adf_bfm_pagination);
					?>
				</div>
				<?php
			
			return $settings;
		} else {
			$settings = array();
			?>
			<h1>Purchased log</h1>
			<form method="POST">
				<input type="hidden" value="<?php echo esc_attr(wp_create_nonce('adf_bfm_nonce')); ?>" id="adf_bfm_nonce"
					name="adf_bfm_nonce">
			</form>

			<?php

			if (isset($_POST['adf_bfm_nonce']) && !empty($_POST['adf_bfm_nonce'])) {
				$nonce = sanitize_text_field(wp_unslash($_POST['adf_bfm_nonce']));


				if (!( wp_verify_nonce($nonce, 'adf_bfm_nonce') )) {

					return;
				}
			}
			$paged = isset($_GET['purchased_log_paged']) ? absint($_GET['purchased_log_paged']) : 1;
			$args = array(
				'post_type' => 'purchased_log',
				'posts_per_page' => 20,
				'paged' => $paged,
			);
			$adf_bfm_post_purchased_log = new WP_Query($args);
			?>
			<div class="adf_bfm_requester_log_main_container">
				<table class="adf_bfm_requester_log_table">
					<thead class="adf_bfm_requester_log_heading_container">
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('User Id', 'addify-Buy-for-me-pro'); ?></th>
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('User Email', 'addify-Buy-for-me-pro'); ?>
						</th>
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('Product Name', 'addify-Buy-for-me-pro'); ?>
						</th>
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('Variation', 'addify-Buy-for-me-pro'); ?></th>
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('Price', 'addify-Buy-for-me-pro'); ?></th>
						<th class="adf_bfm_requester_log_heading"><?php echo esc_html('Order Date', 'addify-Buy-for-me-pro'); ?>
						</th>
						<th class="adf_bfm_requester_log_heading">
						<?php echo esc_html('Action', 'addify-Buy-for-me-pro'); ?>
						</th>

					</thead>
					<tbody class="adf_bfm_requester_log_container">
						<?php
						while ($adf_bfm_post_purchased_log->have_posts()) {

							$adf_bfm_post_purchased_log->the_post();
							$adf_bfm_purchased_log_post_id = get_the_ID();
							$adf_bfm_purchased_post = get_post_meta($adf_bfm_purchased_log_post_id, 'adf_bfm_purchased_log', true);

							?>

							<tr>
								<td class="adf_bfm_requester_log_post_column">
									<?php
									$adf_bfm_edit_user_link = get_edit_user_link($adf_bfm_purchased_post['user_id']);
									?>
									<a href="<?php echo esc_url($adf_bfm_edit_user_link); ?>">
										<?php

										echo esc_html($adf_bfm_purchased_post['user_id'], 'addify-Buy-for-me-pro');
										?>
									</a>
								</td>
								<td class="adf_bfm_requester_log_post_column">
									<?php echo esc_html($adf_bfm_purchased_post['user_email'], 'addify-Buy-for-me-pro'); ?>
								</td>
								<?php

								$adf_bfm_session_product_id = $adf_bfm_purchased_post['product_id'];
								$adf_bfm_product = wc_get_product($adf_bfm_session_product_id);
								$adf_bfm_currency = get_woocommerce_currency();

								if ($adf_bfm_product->is_type('variation')) {
									$adf_bfm_product_id = wp_get_post_parent_id($adf_bfm_session_product_id);

								}
								$adf_bfm_product_edit = get_edit_post_link($adf_bfm_session_product_id);
								?>

								<td class="adf_bfm_requester_log_post_column">
									<a href="<?php echo esc_attr($adf_bfm_product_edit, 'addify-Buy-for-me-pro'); ?>">
										<?php echo esc_html($adf_bfm_purchased_post['product_title'], 'addify-Buy-for-me-pro'); ?></a>
								</td>
								<td class="adf_bfm_requester_log_post_column">

									<?php
									if ($adf_bfm_product && $adf_bfm_product->is_type('variation')) {

										// Initialize the string to hold the formatted attributes
										$adf_bfm_variation_attributes = '';

										// Get variation attributes
										$adf_bfm_attributes = $adf_bfm_product->get_variation_attributes();

										// Loop through the attributes
										foreach ($adf_bfm_attributes as $adf_bfm_attribute_name => $adf_bfm_attribute_value) {
											// Remove 'attribute_' and 'pa_' from the attribute names
											$adf_bfm_cleaned_attribute_name = str_replace(array( 'attribute_', 'pa_' ), '', $adf_bfm_attribute_name);

											// Format the attribute name to be capitalized
											$adf_bfm_formatted_attribute_name = ucfirst($adf_bfm_cleaned_attribute_name);
											if (is_array($adf_bfm_attribute_value)) {
												$adf_bfm_attribute_value = implode(', ', $adf_bfm_attribute_value);
											}

											// Append formatted attribute to the string
											$adf_bfm_variation_attributes .= $adf_bfm_formatted_attribute_name . ': ' . esc_html($adf_bfm_attribute_value) . '&nbsp;|&nbsp;';
										}
										?>

										<?php
										echo wp_kses_post($adf_bfm_variation_attributes, 'addify-Buy-for-me-pro');
									}
									?>




								</td>


								<td class="adf_bfm_requester_log_post_column">
									<?php echo esc_html($adf_bfm_currency . $adf_bfm_purchased_post['product_price']); ?>
								</td>
								<td class="adf_bfm_requester_log_post_column">
									<?php echo esc_html($adf_bfm_purchased_post['order_date'], 'addify-Buy-for-me-pro'); ?>
								</td>

								<td class="adf_bfm_remove_log"> <i class="fa-solid fa-trash-can adf_bfm_requester_log_delete" adf_bfm_post_id="<?php echo esc_attr($adf_bfm_purchased_log_post_id, 'addify-Buy-for-me-pro'); ?>"></i></td>
							</tr>
							<?php
						}

						?>
					</tbody>
				</table>
			</div>
			
				<div class="adf_bfm_pagination">
					<?php
					$adf_bfm_pagination = paginate_links(array(
						'total' => $adf_bfm_post_purchased_log->max_num_pages,
						'current' => $paged,
						'format' => '?purchased_log_paged=%#%',
						'prev_text' => "<span class='dashicons dashicons-arrow-left'></span>",
						'next_text' => "<span class='dashicons dashicons-arrow-right'></span>",

					));
					echo wp_kses_post($adf_bfm_pagination);
					?>
				</div>
			
			<?php
			return $settings;
		}
	}

	public function adf_bfm_display_setting() {

		WC_Admin_Settings::output_fields($this->settings());
	}
	public function adf_bfm_save_setting() {
		WC_Admin_Settings::save_fields($this->settings());
	}
}

new AdminAddifyBuyforme();
