<?php
if (!defined('ABSPATH')) {
	exit;
}
class AddifyBuyforme {

	public function __construct() {
		add_action('wp_head', array( $this, 'adf_bfm_styling' ));
		//cs
		add_action('wp_enqueue_scripts', array( $this, 'adf_bfm_add_front_enqueue' ));
		//js
		//add_action('wp_enqueue_scripts', array( $this, 'add_front_js' ));
		// shop page
		add_action('woocommerce_after_shop_loop_item', array( $this, 'adf_bfm_add_button_shoppage' ), 20);
		// summary page
		add_action('woocommerce_after_add_to_cart_button', array( $this, 'adf_bfm_add_button_summarypage' ));
		// dailog box
		add_action('woocommerce_before_main_content', array( $this, 'adf_bfm_showdailogbox' ));

		add_action('init', array( $this, 'adf_bfm_requester_log_end' ));
		//add_filter( 'query_vars', array($this,'bbloomer_premium_support_query_vars'), 0 );
		add_filter('woocommerce_account_menu_items', array( $this, 'adf_bfm_requester_log_link_my_account' ));
		add_action('woocommerce_account_requester_log_endpoint', array( $this, 'adf_bfm_requester_log_content' ));
		add_filter('woocommerce_get_price_html', array( $this, 'adf_bfm_price_html' ));
		//add_filter('woocommerce_add_cart_item_data', array($this,'add_summary_key_to_cart'), 10, 2);
		add_action('woocommerce_before_calculate_totals', array( $this, 'apply_summary_price_in_cart' ), 10, 1);
		add_action('woocommerce_thankyou', array( $this, 'adf_bfm_placeholder_purchased_log' ), 10, 1);
		add_filter('woocommerce_product_variation_get_price', array( $this, 'adf_bfm_varient_price' ), 99, 2);
	}
	public function adf_bfm_styling() {
		if (is_account_page()) {
			?>
			<style>
				.page-numbers {
					font-size: 16px;
					/* margin: 29px 0 !important; */
					padding: 5px 15px;
					border: 1px solid black;
					margin-left: 5px;
					text-decoration: none !important;

				}

				.next,
				.prev {
					display: inline;
					text-decoration: none !important;
					color: black;
				}
			</style>
			<?php
		}
		if (is_shop()) {
			?>
			<style>
				.adf_bfm_product_icon_button {
					display: none;
				}

				@media screen and (max-width: 1024px) {
					body.theme-woodmart.woocommerce-shop .wrap-quickview-button {
						border-left: 0 !important;
					}

					body.theme-woodmart.woocommerce-shop .adf_bfm_btn,
					body.theme-woodmart.woocommerce-shop .adf_bfm_varprodbtn {
						display: none;
					}

					body.theme-woodmart.woocommerce-shop .adf_bfm_product_icon_button {
						display: inline;
						width: 36px;
						background-color: transparent;
						line-height: 0;
						margin-top: -4px !important;
						margin-left: 16px !important;
					}
				}
			</style>
			<?php
		}
		if (is_single()) {
			?>
			<style>
				.adf_bfm_product_icon_button {
					display: none;
				}
				.adf_bfm_product_icon_summary {
					display: none;
				}
				
				body.theme-woodmart.single-product .wd-buttons .adf_bfm_btn,
				body.theme-woodmart.single-product .wd-buttons .adf_bfm_varproduct {
					display: none;
				}
								

			</style>

			<?php
		}
	}
	//css
	public function adf_bfm_add_front_enqueue() {
		//css
		if (is_shop() || ( is_product() ) || is_account_page()) {
			wp_enqueue_style(
				'frontcss',
				ADF_BFM_URL . 'assests/css/frontstyling.css',
				array(),
				true
			);
			// fontawsome
			wp_enqueue_style('dashicons');
			wp_enqueue_style(
				'fontawsome',
				ADF_BFM_URL . 'assests/fontawsome/css/all.css',
				array(),
				ADF_BFM_VERSION

			);
			// js
			wp_enqueue_script(
				'frontjs',
				ADF_BFM_URL . 'assests/javascript/frontjavascript.js',
				array( 'jquery' ),
				ADF_BFM_VERSION,
				true
			);

			wp_localize_script(
				'frontjs',
				'Fetchingrecord',
				array(
					'ajaxurl' => admin_url('admin-ajax.php'),
					'nonce' => wp_create_nonce('send_email'),
					'adf_bfm_image_url' => ADF_BFM_URL . 'assests/images/gift-box.png',
				)
			);
		}
	}
	//js
	// summary page add button function
	public function adf_bfm_add_button_summarypage() {
		$adf_bfm_custom_button_text = get_option('adf_bfm_custom_button_text');
		global $product;
		$adf_bfm_product_id = $product->get_id();
		$adf_bfm_excluded = $this->adf_bfm_product_category($adf_bfm_product_id);
		$nonce = wp_create_nonce('fetching_productdetails_nonce');
		$adf_bfm_show_on_listing_page = get_option('adf_bfm_show_on_listing_page');
		$adf_bfm_exclude_product = get_option('adf_bfm_exclude_product');
		if (!is_array($adf_bfm_exclude_product)) {
			$adf_bfm_exclude_product = array( $adf_bfm_exclude_product );
		}
		if ($adf_bfm_excluded) {
			if (!( in_array($adf_bfm_product_id, $adf_bfm_exclude_product) )) {
				if ('yes' == $adf_bfm_show_on_listing_page) {
					$adf_bfm_show_button = $this->user_logged_in();
					if ($adf_bfm_show_button) {
						if ($product->is_type('variable')) {
							?>
							<button class="adf_bfm_varproduct button" disabled product_id='<?php echo esc_attr($adf_bfm_product_id); ?>'
								nonce="<?php echo esc_attr($nonce); ?>">
								<?php echo esc_html($adf_bfm_custom_button_text, 'addify-Buy-for-me-pro'); ?>

							</button>
							<?php
						} else {
							?>
							<button class=" adf_bfm_btn button" product_id='<?php echo esc_attr($adf_bfm_product_id); ?>'
								nonce="<?php echo esc_attr($nonce); ?>">
								<?php echo esc_html($adf_bfm_custom_button_text, 'addify-Buy-for-me-pro'); ?>

							</button>

							<?php
						}
					}
				}
			}
		}
	}
	// shop page add button function
	public function adf_bfm_add_button_shoppage() {
		$adf_bfm_custom_button_text = get_option('adf_bfm_custom_button_text');
		global $product;
		$adf_bfm_product_id = $product->get_id();
		$adf_bfm_excluded = $this->adf_bfm_product_category($adf_bfm_product_id);
		$nonce = wp_create_nonce('fetching_productdetails_nonce');
		$adf_bfm_exclude_product = get_option('adf_bfm_exclude_product');
		if (!is_array($adf_bfm_exclude_product)) {
			$adf_bfm_exclude_product = array( $adf_bfm_exclude_product );
		}
		if ($adf_bfm_excluded) {
			if (!( in_array($adf_bfm_product_id, $adf_bfm_exclude_product) )) {
				$adf_bfm_show_button = $this->user_logged_in();
				if ($adf_bfm_show_button) {
					if ($product->is_type('variable')) {
						?>
						<div>
							<button class="adf_bfm_varprodbtn button" style="height:100%;" product_id='<?php echo esc_attr($adf_bfm_product_id); ?> '
								nonce="<?php echo esc_attr($nonce); ?>">
								<?php echo esc_html($adf_bfm_custom_button_text, 'addify-Buy-for-me-pro'); ?>

							</button>

						</div>
						<i class="fa-solid fa-gift adf_bfm_varprodbtn adf_bfm_product_icon_button" product_id='<?php echo esc_attr($adf_bfm_product_id); ?> '></i>
						
						<?php
					} else {
						?>
						<div>
							<button class="adf_bfm_btn button" product_id='<?php echo esc_attr($adf_bfm_product_id); ?> '
								nonce="<?php echo esc_attr($nonce); ?>">
								<?php echo esc_html($adf_bfm_custom_button_text, 'addify-Buy-for-me-pro'); ?>

							</button>

						</div>						
						<i class="fa-solid fa-gift adf_bfm_btn adf_bfm_product_icon_button" product_id='<?php echo esc_attr($adf_bfm_product_id); ?> '></i>
						<?php
					}
				}
			}

		}
	}
	// dailogbox function
	public function adf_bfm_showdailogbox() {
		if (is_shop() || ( is_product() )) {
			?>
			<div id="adf_bfm_overlay"></div>
			<div class="adf-bfm-row" id="adf-bfm-row"></div>
			<div class="adf_bfm_emailpop-up"></div>


			<?php
		}
	}

	// restrict by user
	public function user_logged_in() {
		$adf_bfm_user_roles = get_option('adf_bfm_user_roles');
		if (!is_array($adf_bfm_user_roles )) {
			$adf_bfm_user_roles = array( $adf_bfm_user_roles );
		}
		if (is_user_logged_in()) {
			$adf_bfm_current_user = wp_get_current_user();
			$adf_bfm_role = (array) $adf_bfm_current_user->roles;
			// Option 1: Display as a comma-separated string
			$adf_bfm_user_role = implode(', ', $adf_bfm_role);
			if (in_array($adf_bfm_user_role, $adf_bfm_user_roles)) {
				return false;
			} else {
				return true;
			}
		}
		if (in_array('guest', $adf_bfm_user_roles)) {
			return false;
		} else {
			return true;
		}
	}
	// restrict by category
	public function adf_bfm_product_category( $adf_bfm_product_id ) {
		// Product category
		$adf_bfm_exclude_category = get_option('adf_bfm_exclude_category');
		if (!is_array($adf_bfm_exclude_category)) {
			$adf_bfm_exclude_category = array( $adf_bfm_exclude_category );
		}
		$adf_bfm_terms = get_the_terms($adf_bfm_product_id, 'product_cat');
		$adf_bfm_product_categories = array();
		if ($adf_bfm_terms && !is_wp_error($adf_bfm_terms)) {
			foreach ($adf_bfm_terms as $adf_bfm_term) {
				$adf_bfm_product_categories[] = $adf_bfm_term->name;
			}
		}
		if (( !empty($adf_bfm_exclude_category) && array_intersect($adf_bfm_product_categories, $adf_bfm_exclude_category) )) {
			return false;
		} else {
			return true;
		}
	}
	// tab in my account page
	public function adf_bfm_requester_log_end() {
		add_rewrite_endpoint('requester_log', EP_ROOT | EP_PAGES);
	}
	public function adf_bfm_requester_log_link_my_account( $items ) {
		$items['requester_log'] = 'Requester log';
		return $items;
	}
	public function adf_bfm_requester_log_content() {
		?>
		<h1>Requester log</h1>
		<form method="POST">
			<input type="hidden" value="<?php echo esc_attr(wp_create_nonce('adf_bfm_nonce')); ?>" id="adf_bfm_nonce"
				name="adf_bfm_nonce">
		</form>

		<?php

		if (isset($_POST['adf_bfm_nonce']) && !empty($_POST['adf_bfm_nonce'])) {
			$nonce = sanitize_text_field(wp_unslash($_POST['adf_bfm_nonce']));


			if (!( wp_verify_nonce($nonce, 'adf_bfm_nonce') )) {

				return;
			}
		}
		$paged = isset($_GET['paged']) ? max(1, intval($_GET['paged'])) : 1;
		$args = array(
			'post_type' => 'requester_log',
			'posts_per_page' => 20,
			'paged' => $paged,
			'author' => get_current_user_id(),
		);
		$adf_bfm_post_requester_log = new WP_Query($args);
		?>
		<div class="adf_bfm_requester_log_main_container">
			<table class="adf_bfm_requester_log_table">
				<thead>
					<th class="adf_bfm_requester_log_heading"> <?php echo esc_html('Requester Name', 'addify-Buy-for-me-pro'); ?>
					</th>
					<th class="adf_bfm_requester_log_heading"> <?php echo esc_html('Requester Email', 'addify-Buy-for-me-pro'); ?>
					</th>
					<th class="adf_bfm_requester_log_heading"> <?php echo esc_html('Requestee Name', 'addify-Buy-for-me-pro'); ?>
					</th>
					<th class="adf_bfm_requester_log_heading"><?php echo esc_html('Requestee Email', 'addify-Buy-for-me-pro'); ?>
					</th>
				</thead>
				<tbody>
					<?php
					while ($adf_bfm_post_requester_log->have_posts()) {
						$adf_bfm_post_requester_log->the_post();
						$adf_bfm_requester_log_post_id = get_the_ID();
						$adf_bfm_requester_log_post = get_post_meta($adf_bfm_requester_log_post_id, 'adf_bfm_requester_log', true);
						?>
						<tr>
							<td class="adf_bfm_requester_log_post_column">
								<?php echo esc_html($adf_bfm_requester_log_post['requester_name'], 'addify-Buy-for-me-pro'); ?>
							</td>
							<td class="adf_bfm_requester_log_post_column">
								<?php echo esc_html($adf_bfm_requester_log_post['requester_email'], 'addify-Buy-for-me-pro'); ?>
							</td>
							<td class="adf_bfm_requester_log_post_column">
								<?php echo esc_html($adf_bfm_requester_log_post['requestee_name'], 'addify-Buy-for-me-pro'); ?>
							</td>
							<td class="adf_bfm_requester_log_post_column">
								<?php echo esc_html($adf_bfm_requester_log_post['requestee_email'], 'addify-Buy-for-me-pro'); ?>
							</td>
						</tr>
						<?php
					}
					?>
				</tbody>
			</table>
		</div>
		
			<div class="adf_bfm_pagination">
				<?php
				echo wp_kses_post(paginate_links(array(
					'base' => add_query_arg('paged', '%#%'),
					'format' => '?paged=%#%',
					'current' => $paged,
					'total' => $adf_bfm_post_requester_log->max_num_pages,
					'prev_text' => "<span class='dashicons dashicons-arrow-left'></span>",
					'next_text' => "<span class='dashicons dashicons-arrow-right'></span>",
				)));
				?>
			</div>
			<?php
	}
	public function adf_bfm_price_html( $item ) {
		if (isset($_GET['summary']) && true == $_GET['summary']) {
			// WC()->session->__unset('has_summary_discount');
			?>
			<form method="POST">
				<input type="hidden" value="<?php echo esc_attr(wp_create_nonce('adf_bfm_nonce')); ?>" id="adf_bfm_nonce"
					name="adf_bfm_nonce">
			</form>

			<?php

			if (isset($_POST['adf_bfm_nonce']) && !empty($_POST['adf_bfm_nonce'])) {
				$nonce = sanitize_text_field(wp_unslash($_POST['adf_bfm_nonce']));


				if (!( wp_verify_nonce($nonce, 'adf_bfm_nonce') )) {

					return;
				}
			}
			if (isset($_GET['product_id'])) {
				$adf_bfm_product_id_url = sanitize_text_field(wp_unslash($_GET['product_id']));
			}

			global $product;

			$adf_bfm_product_id = $product->get_id();
			
			$adf_bfm_product_id_session_single = WC()->session->get('has_summary_discount');
			
			// var_dump($adf_bfm_product_id_session_single);
			if (!isset($adf_bfm_product_id_session_single) && null == $adf_bfm_product_id_session_single ) {
				$adf_bfm_product_id_session = $adf_bfm_product_id_url;
			} elseif (!is_array($adf_bfm_product_id_session_single)) {
				$adf_bfm_product_id_session[] = WC()->session->get('has_summary_discount');
			} else {
				$adf_bfm_product_id_session = WC()->session->get('has_summary_discount');
			}
			
			if ($product->is_type('variable')) {
				$adf_variation_id = $product->get_children();
				if (in_array($adf_bfm_product_id_url, $adf_variation_id)) {
					if (isset($adf_bfm_product_id_session) && is_array($adf_bfm_product_id_session)) {
						array_push($adf_bfm_product_id_session, $adf_bfm_product_id_url);
						$adf_bfm_product_id = array_unique($adf_bfm_product_id_session);
					}
					WC()->session->set('has_summary_discount', $adf_bfm_product_id_session);
					return $item;
				}
			} elseif ($adf_bfm_product_id_url) {
				if (isset($adf_bfm_product_id_session) && is_array($adf_bfm_product_id_session)) {
					array_push($adf_bfm_product_id_session, $adf_bfm_product_id_url);
					$adf_bfm_product_id = array_unique($adf_bfm_product_id_session);
				}

					WC()->session->set('has_summary_discount', $adf_bfm_product_id_session);

					ob_start();
					
					$adf_bfm_product = wc_get_product($adf_bfm_product_id_url);
					$tax_display_mode = get_option('woocommerce_tax_display_shop');
					$adf_bfm_disount_on_price = get_option('adf_bfm_disount_on_price');
					$adf_bfm_offer_discount_option = get_option('adf_bfm_offer_discount_option');
				if ('sale' == $adf_bfm_disount_on_price) {
					$adf_bfm_product_price = $adf_bfm_product->get_sale_price();
					if (empty($adf_bfm_product_price)) {
						return $item;
					}
				} else {
					$adf_bfm_product_price = $adf_bfm_product->get_regular_price();
				}

				if ('incl' == $tax_display_mode) {
					$adf_bfm_product_price = wc_get_price_including_tax($adf_bfm_product, array(
						'qty' => 1,
						'price' => $adf_bfm_product_price,

					));

				}
				if ('excl' == $tax_display_mode) {
					$adf_bfm_product_price = wc_get_price_excluding_tax($adf_bfm_product, array(
						'qty' => 1,
						'price' => $adf_bfm_product_price,

					));
				}

					$adf_bfm_offer_discount_option = get_option('adf_bfm_offer_discount_option');

				if ('yes' == $adf_bfm_offer_discount_option) {
					// percentage   
					$adf_bfm_discount_types = get_option('adf_bfm_discount_types');
					$adf_bfm_discount_value = get_option('adf_bfm_discount_value');
					if ('percentage' == $adf_bfm_discount_types) {
						$adf_bfm_discounted_price = $adf_bfm_product_price * ( $adf_bfm_discount_value / 100 );
						$adf_bfm_discounted_price = floor($adf_bfm_product_price - $adf_bfm_discounted_price);
					} else {
						$adf_bfm_discounted_price = $adf_bfm_product_price - $adf_bfm_discount_value;
					}

					?>
						<span class="adf_bfm_product_price 
					<?php
					if ('yes' == $adf_bfm_offer_discount_option) {
						?>
							adf_bfm_actual_price<?php } ?>">
							<?php echo wp_kses_post(wc_price($adf_bfm_product_price), 'addify-Buy-for-me-pro'); ?>
						</span>
						<?php if ('yes' == $adf_bfm_offer_discount_option) { ?>
							<span class="adf_bfm_product_price">
								<?php echo wp_kses_post(wc_price($adf_bfm_discounted_price)); ?>
							</span>
						<?php
						}
						$item = ob_get_clean();

				}
				return $item;
			}
		}
		return $item;
	}

	public function apply_summary_price_in_cart( $cart ) {
		if (is_admin()) {
			return;
		}
		$adf_bfm_session_discount_ids = WC()->session->get('has_summary_discount');
		foreach ($cart->get_cart() as $cart_item) {
			$adf_bfm_discounted_price = '';
			$adf_bfm_product_id = $cart_item['product_id'];
			$adf_bfm_product = wc_get_product($adf_bfm_product_id);
			if ($adf_bfm_product->is_type('variable')) {
				$adf_bfm_product_id = $cart_item['variation_id'];
			}
			if (is_array($adf_bfm_session_discount_ids)) {
				$adf_bfm_session_discount_ids = array_unique(( $adf_bfm_session_discount_ids ));
			}
			// echo "<pre>";print_r($adf_bfm_session_discount_ids);
			if (isset($adf_bfm_session_discount_ids) && is_array($adf_bfm_session_discount_ids)) {
				if (in_array($adf_bfm_product_id, $adf_bfm_session_discount_ids)) {
					$adf_bfm_disount_on_price = get_option('adf_bfm_disount_on_price');
					$adf_bfm_offer_discount_option = get_option('adf_bfm_offer_discount_option');
					$adf_bfm_product_varition = wc_get_product($adf_bfm_product_id);
					if ('sale' == $adf_bfm_disount_on_price) {
						$adf_bfm_product_price = $adf_bfm_product_varition->get_sale_price();
						if (empty($adf_bfm_product_price)) {
							$adf_bfm_product_price = $adf_bfm_product_varition->get_regular_price();
						}
					} else {
						$adf_bfm_product_price = $adf_bfm_product_varition->get_regular_price();
					}
					if ('yes' == $adf_bfm_offer_discount_option) {
						$adf_bfm_discount_types = get_option('adf_bfm_discount_types');
						$adf_bfm_discount_value = get_option('adf_bfm_discount_value');

						if ('percentage' == $adf_bfm_discount_types) {
							$adf_bfm_discounted_price = $adf_bfm_product_price * ( $adf_bfm_discount_value / 100 );
							$adf_bfm_discounted_price = floor($adf_bfm_product_price - $adf_bfm_discounted_price);
						} else {
							$adf_bfm_discounted_price = $adf_bfm_product_price - $adf_bfm_discount_value;
						}
					} 
				}
			}

			if (isset($adf_bfm_discounted_price) && '' != $adf_bfm_discounted_price) {
				$cart_item['data']->set_price($adf_bfm_discounted_price);
			}
			
		}
	}
	public function adf_bfm_placeholder_purchased_log( $order_id ) {
		$adf_bfm_order = new WC_Order($order_id);
		$adf_bfm_product_items = $adf_bfm_order->get_items();
		$adf_bfm_session_discount = WC()->session->get('has_summary_discount');
		if (is_array($adf_bfm_session_discount)) {
			$adf_bfm_session_discount = array_unique($adf_bfm_session_discount);
		}
		if (!is_array($adf_bfm_session_discount)) {
			$adf_bfm_session_discount = array( $adf_bfm_session_discount );
		}
		$user_id = $adf_bfm_order->get_user_id();
			$user_email = $adf_bfm_order->get_billing_email();
			$order_date = $adf_bfm_order->get_date_created()->date('d/m/Y');
		foreach ($adf_bfm_product_items as $adf_bfm_product_item) {
			$adf_bfm_product_id = $adf_bfm_product_item['product_id'];
			$adf_bfm_product = wc_get_product($adf_bfm_product_id);
			if ($adf_bfm_product->is_type('variable')) {
				$adf_bfm_product_id = $adf_bfm_product_item['variation_id'];
			}
			if (isset($adf_bfm_session_discount) && is_array($adf_bfm_session_discount)) {
				if (in_array($adf_bfm_product_id, $adf_bfm_session_discount)) {
					
					$adf_bfm_product_title = $adf_bfm_product->get_title();
					$adf_bfm_disount_on_price = get_option('adf_bfm_disount_on_price');
					$adf_bfm_offer_discount_option = get_option('adf_bfm_offer_discount_option');
					$adf_bfm_product_varition = wc_get_product($adf_bfm_product_id);
					if ('sale' == $adf_bfm_disount_on_price) {
						$adf_bfm_product_price = $adf_bfm_product_varition->get_sale_price();
						if (empty($adf_bfm_product_price)) {
							$adf_bfm_product_price = $adf_bfm_product_varition->get_regular_price();
						}
					} else {
						$adf_bfm_product_price = $adf_bfm_product_varition->get_regular_price();
					}
					if ('yes' == $adf_bfm_offer_discount_option) {
						$adf_bfm_discount_types = get_option('adf_bfm_discount_types');
						$adf_bfm_discount_value = get_option('adf_bfm_discount_value');

						if ('percentage' == $adf_bfm_discount_types) {
							$adf_bfm_discounted_price = $adf_bfm_product_price * ( $adf_bfm_discount_value / 100 );
							$adf_bfm_product_price = floor($adf_bfm_product_price - $adf_bfm_discounted_price);
						} else {
							$adf_bfm_product_price = $adf_bfm_product_price - $adf_bfm_discount_value;
						}
					} 
					
					$adf_bfm_post_data = array(
						'post_type' => 'purchased_log',
						'post_title' => '',
						'post_content' => '',
						'post_status' => 'publish',
					);
					$adf_bfm_purchased_log_information = array(
						'user_id' => $user_id,
						'user_email' => $user_email,
						'product_price' => $adf_bfm_product_price,
						'product_title' =>$adf_bfm_product_title,
						'product_id' => $adf_bfm_product_id,
						'order_date' => $order_date,
		
					);
					
					$adf_bfm_post_id = wp_insert_post($adf_bfm_post_data);
					update_post_meta($adf_bfm_post_id, 'adf_bfm_purchased_log', $adf_bfm_purchased_log_information);

				}
			}

		
			
			
		}          
					  WC()->session->__unset('has_summary_discount');
	}
	public function adf_bfm_varient_price( $price, $variation ) {
		// echo $variation->get_id();
		if (is_single()) {
			?>
			<form method="POST">
				<input type="hidden" value="<?php echo esc_attr(wp_create_nonce('adf_bfm_nonce')); ?>" id="adf_bfm_nonce"
					name="adf_bfm_nonce">
			</form>

			<?php

			if (isset($_POST['adf_bfm_nonce']) && !empty($_POST['adf_bfm_nonce'])) {
				$nonce = sanitize_text_field(wp_unslash($_POST['adf_bfm_nonce']));


				if (!( wp_verify_nonce($nonce, 'adf_bfm_nonce') )) {

					return;
				}
			}
			
			// WC()->session->__unset('has_summary_discount');



			// $adf_bfm_session_discount_ids[] = WC()->session->get('has_summary_discount');
			$adf_bfm_product_id_session_single = WC()->session->get('has_summary_discount');
			// // var_dump($adf_bfm_product_id_session_single);
			// echo "<pre>";print_r($adf_bfm_product_id_session_single);echo "</pre>";
			if (!is_array($adf_bfm_product_id_session_single)) {
				$adf_bfm_session_discount_ids[] = WC()->session->get('has_summary_discount');
			} else {
				$adf_bfm_session_discount_ids = WC()->session->get('has_summary_discount');
			}

			if (is_array($adf_bfm_session_discount_ids)) {
				$adf_bfm_session_discount_ids = array_unique(( $adf_bfm_session_discount_ids ));
			}
			if (in_array($variation->get_id(), $adf_bfm_session_discount_ids)) {

				$tax_display_mode = get_option('woocommerce_tax_display_shop');
				$adf_bfm_disount_on_price = get_option('adf_bfm_disount_on_price');
				$adf_bfm_offer_discount_option = get_option('adf_bfm_offer_discount_option');
				if ('sale' == $adf_bfm_disount_on_price) {
					$adf_bfm_product_price = $variation->get_sale_price();
					if (empty($adf_bfm_product_price)) {
						return $price;
					}
				} else {
					$adf_bfm_product_price = $variation->get_regular_price();
				}

				if ('incl' == $tax_display_mode) {
					$adf_bfm_product_price = wc_get_price_including_tax($variation, array(
						'qty' => 1,
						'price' => $adf_bfm_product_price,

					));

				}
				if ('excl' == $tax_display_mode) {
					$adf_bfm_product_price = wc_get_price_excluding_tax($variation, array(
						'qty' => 1,
						'price' => $adf_bfm_product_price,

					));
				}
				if ('yes' == $adf_bfm_offer_discount_option) {
					// percentage   
					$adf_bfm_discount_types = get_option('adf_bfm_discount_types');
					$adf_bfm_discount_value = get_option('adf_bfm_discount_value');
					if ('percentage' == $adf_bfm_discount_types) {
						$adf_bfm_discounted_price = $price * ( $adf_bfm_discount_value / 100 );
						$adf_bfm_discounted_price = floor($price - $adf_bfm_discounted_price);
					} else {
						$adf_bfm_discounted_price = $price - $adf_bfm_discount_value;
					}
				
				return $adf_bfm_discounted_price;}

			} 
					
		}
		return $price;
	}
}

new AddifyBuyforme();
?>